Bug 206052 - Error sending IPC message: Broken pipe
Summary: Error sending IPC message: Broken pipe
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: Other
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Charlie Turner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-09 20:33 PST by crvi
Modified: 2020-05-23 09:21 PDT (History)
3 users (show)

See Also:


Attachments
Patch (2.59 KB, patch)
2020-05-22 10:42 PDT, Charlie Turner
no flags Details | Formatted Diff | Diff
Patch (2.66 KB, patch)
2020-05-23 06:04 PDT, Charlie Turner
no flags Details | Formatted Diff | Diff
Patch (2.67 KB, patch)
2020-05-23 08:53 PDT, Charlie Turner
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description crvi 2020-01-09 20:33:12 PST
Get a bunch of these when running epiphany ( Gnome Web ) from command line:

sid@unstable:~$ epiphany
WaylandCompositor requires eglBindWaylandDisplayWL, eglUnbindWaylandDisplayWL and eglQueryWaylandBuffer.
Nested Wayland compositor could not initialize EGL

(WebKitWebProcess:3): Gdk-WARNING **: 08:26:13.891: Failed to read portal settings: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.portal.Desktop was not provided by any .service files

...
...

(WebKitWebProcess:3): Gdk-WARNING **: 08:26:15.126: Failed to read portal settings: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.portal.Desktop was not provided by any .service files

Error sending IPC message: Broken pipe
Error sending IPC message: Broken pipe
Error sending IPC message: Broken pipe
Error sending IPC message: Broken pipe
Error sending IPC message: Broken pipe
Error sending IPC message: Broken pipe
Error sending IPC message: Broken pipe
Comment 1 crvi 2020-01-09 20:33:37 PST
sid@unstable:~$ epiphany --version
Web 3.34.1
Powered by WebKitGTK 2.26.2
Comment 2 Charlie Turner 2020-05-22 10:42:10 PDT
Created attachment 400058 [details]
Patch
Comment 3 Charlie Turner 2020-05-22 10:43:25 PDT
I came here while working on tests for https://bugs.webkit.org/show_bug.cgi?id=184845 , where I was seeing these IPC error messages as well (plus ones in the IPC receive side)
Comment 4 Adrian Perez 2020-05-22 13:59:57 PDT
Comment on attachment 400058 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=400058&action=review

> Source/WebKit/Platform/IPC/unix/ConnectionUnix.cpp:525
> +        if (errno == EPIPE || errno == ECONNRESET) {

I would put the EPIPE check inside an OS(LINUX) guard, as it is clearly
something that is specific to the Linux kernel.

  #if OS(LINUX
      if (errno == ECONNRESET || errno == EPIPE)
  #else
      if (errno == ECONRESET)
  #endif
      {
          // ...
      }
Comment 5 Charlie Turner 2020-05-23 06:04:29 PDT
Created attachment 400118 [details]
Patch

Oops, I misunderstood ConnectionUnix has being ConnectionLinux, corrected!
Comment 6 Charlie Turner 2020-05-23 08:48:59 PDT
Comment on attachment 400118 [details]
Patch

Accidentally cleared the r+ flag, resetting and cq+'ing. Hopefully the scripts Do The Right Thing.
Comment 7 EWS 2020-05-23 08:49:10 PDT
cturner@igalia.com does not have reviewer permissions according to https://trac.webkit.org/browser/webkit/trunk/Tools/Scripts/webkitpy/common/config/contributors.json.

Rejecting attachment 400118 [details] from commit queue.
Comment 8 Charlie Turner 2020-05-23 08:53:10 PDT
Created attachment 400123 [details]
Patch

Manually set reviewer and resubmit
Comment 9 EWS 2020-05-23 09:21:15 PDT
Committed r262099: <https://trac.webkit.org/changeset/262099>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 400123 [details].